Summary:	A one-time password login package
Summary(pl.UTF-8):	Pakiet logowania do systemu bazujący na hasłach jednorazowego użytku
Name:		otpw
Version:	1.5
Release:	2
Epoch:		1
License:	GPL v2+
Group:		Applications/System
Source0:	http://www.cl.cam.ac.uk/~mgk25/download/%{name}-%{version}.tar.gz
# Source0-md5:	d07a91bfc14d5ec4f5617a9dedd1ee93
Patch0:		%{name}-link.patch
URL:		http://www.cl.cam.ac.uk/~mgk25/otpw.html
BuildRequires:	pam-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OTPW is a one-time password authentication library and PAM module that
provides a number of advantages over other systems. OTPW uses
patent-free RIPEMD-160 hash function to generate keys and keeps
key-related information in user's home directory so it's no-suid.

This package contains binary programs needed by OTPW to work.

%description -l pl.UTF-8
OTPW jest biblioteką uwierzytelniającą metodą haseł jednorazowego
użytku, wraz z opcjonalnym modułem PAM, który pozwala przezroczyście
jej używać. OTPW używa wolnej od ograniczeń licencyjnych funkcji
skrótu RIPEMD-160 do generowania kluczy, a także przechowuje
informacje związane z kluczem w katalogu użytkownika, więc nie
potrzebuje nigdzie ustawionego bitu suid.

Ten pakiet zawiera programy binarne potrzebne do działania OTPW.

%package examples
Summary:	OTPW - example programs
Summary(pl.UTF-8):	OTPW - programy przykładowe
Group:		Development/Libraries

%description examples
OTPW is a one-time password authentication library and PAM module that
provides a number of advantages over other systems. OTPW uses
patent-free RIPEMD-160 hash function to generate keys and keeps
key-related information in user's home directory so it's no-suid.

This package contains example programs, which shows how to integrate
OTPW with own tools.

%description examples -l pl.UTF-8
OTPW jest biblioteką uwierzytelniającą metodą haseł jednorazowego
użytku, wraz z opcjonalnym modułem PAM, który pozwala przezroczyście
jej używać. OTPW używa wolnej od ograniczeń licencyjnych funkcji
skrótu RIPEMD-160 do generowania kluczy, a także przechowuje
informacje związane z kluczem w katalogu użytkownika, więc nie
potrzebuje nigdzie ustawionego bitu suid.

Ten pakiet zawiera przykładowe programy pokazujące, jak integrować
OTPW z własnymi narzędziami.

%package -n pam-pam_otpw
Summary:	PAM module for OTPW
Summary(pl.UTF-8):	Moduł PAM dla OTPW
Group:		Base
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	pam_otpw

%description -n pam-pam_otpw
OTPW is a one-time password authentication library and PAM module that
provides a number of advantages over other systems. OTPW uses
patent-free RIPEMD-160 hash function to generate keys and keeps
key-related information in user's home directory so it's no-suid.

This package contains PAM module for OTPW.

%description -n pam-pam_otpw -l pl.UTF-8
OTPW jest biblioteką uwierzytelniającą metodą haseł jednorazowego
użytku, wraz z opcjonalnym modułem PAM, który pozwala przezroczyście
jej używać. OTPW używa wolnej od ograniczeń licencyjnych funkcji
skrótu RIPEMD-160 do generowania kluczy, a także przechowuje
informacje związane z kluczem w katalogu użytkownika, więc nie
potrzebuje nigdzie ustawionego bitu suid.

Ten pakiet zawiera moduł PAM dla OTPW.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},/%{_lib}/security}
install -d $RPM_BUILD_ROOT%{_mandir}/{man1,man8}
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install %{name}-gen	$RPM_BUILD_ROOT%{_bindir}
install pam_%{name}.so	$RPM_BUILD_ROOT/%{_lib}/security
install *.1		$RPM_BUILD_ROOT%{_mandir}/man1
install *.8		$RPM_BUILD_ROOT%{_mandir}/man8
install demologin.c	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README TODO otpw.html
%attr(0755,root,root) %{_bindir}/otpw-gen
%{_mandir}/man1/otpw-gen.1*

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%files -n pam-pam_otpw
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/security/pam_otpw.so
%{_mandir}/man8/pam_otpw.8*
%changelog
* Wed Feb 01 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/otpw.git;a=log;h=master

* Wed Feb 01 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> df6c14a
- Release 2 (by relup.sh)

* Sun Nov 16 2014 Jakub Bogusz <qboosh@pld-linux.org> a66840f
- updated to 1.5
- added link patch (use gcc for linking to support ssp)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 64106a4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0fb75bf
- converted to UTF-8

* Mon Nov 14 2005 radek <radek@pld-linux.org> 22207bd
- pl fix: "przezroczysty" is written with "z", not zacute

* Sat Apr 10 2004 Jakub Bogusz <qboosh@pld-linux.org> cbb1722
- use proper (lib64-aware) dir for PAM module; release 6

* Wed Apr 07 2004 Adam Gołębiowski <adamg@pld-linux.org> 3ffaabc
- release 5

* Wed Apr 07 2004 Adam Gołębiowski <adamg@pld-linux.org> a4df6cb
- also pass -fPIC

* Wed Apr 07 2004 Adam Gołębiowski <adamg@pld-linux.org> 1077673
- pass CC

* Wed Dec 10 2003 Marcin Winkler <qurczak@gmail.com> cb586d3
- description s/pam_otpw/pam-pam_otpw/

* Tue Nov 25 2003 siefca <siefca@pld-linux.org> 96ee908
- added Obsoletes

* Tue Nov 25 2003 siefca <siefca@pld-linux.org> 06796ee
- leaded common naming conventions for PAM module packages

* Thu Nov 06 2003 siefca <siefca@pld-linux.org> f372ba0
- fixed /lib/security path
- release 3

* Thu Nov 06 2003 siefca <siefca@pld-linux.org> c500c41
- added Epoch mark and fixed Requires in subpackages
- release 2

* Thu Nov 06 2003 siefca <siefca@pld-linux.org> 26603cc
- s/license-free/patent-free/ in description

* Thu Nov 06 2003 siefca <siefca@pld-linux.org> ea53682
- fixed mispelled OTWP/OTPW in description
- spec adapterized

* Thu Nov 06 2003 siefca <siefca@pld-linux.org> 4731a25
- initial revision

